package quest.client.game;

import java.util.EventListener;

/**
 * Defines that an object want to receive {@link quest.client.game.PickEvent}
 * objects from each {@link quest.client.game.PickableObject} it is interested
 * in.
 *
 * @author Mathijs den Burger
 */

interface PickListener extends EventListener {

	/**
	 * Invoked whenever a pick occurs on one of the pickable objects that this object listens to.
	 * @param PickEvent	The responsible pick event
	 */
	public void pickPerformed(PickEvent e);

}
