package quest.global.file;

import java.io.*;

/**
 * Provides a way of writing to a file.
 *
 * @author    Merijn Evertse
 */
public class FileStream {
    private PrintWriter out;

	/**
	 * Initializes the object. Opens the stream to the file for writing.
	 *
	 * @param    file    The access point to the file.
	 */
    public FileStream(File file) {
	  try {
		out = new PrintWriter(new FileOutputStream(file), true);
	  } catch (FileNotFoundException e) {
	    System.out.println(e.getMessage());
	  }
	}
  
  /**
   * Writes the given text to the file.
   *
   * @param    string    The text to write
   */
  public void write(String string) {
	  out.println(string);
  }
}
