package quest.global.game;

/**
 * Signals that a given game move isn't valid in the current game state.
 * This exception will be thrown by {@link GameLogic} when a game move is given
 * to the method GameLogic.doMove and that move isn't valid in the current
 * game state.
 *
 * @author Mathijs den Burger
 */

public class IllegalMoveException extends Exception {
    
    /**
     * Constructs the exception
     */
    public IllegalMoveException() {
		super();
    }

	/**
	 * Constructs the exception with a given error message.
	 * @param message The error message
	 */
    public IllegalMoveException(String message) {
		super(message);
    }	
}
