package quest.server.chat;

/**
 * This is a container class for a channelname and a usermode.
 * It is used for users of the chat system, so keep track of their usermode
 * for each channel that they are a member of.
 *
 * @author    Merijn Evertse
 */
public class ChannelUsermode {

  /**
   * The name of the channel the user is in.
   */
  public String channelname;
	
  /**
   * The usermode of the user in the channel.
   */
  public int usermode;

  /**
   * The constructor initializes the variables with the given parameters.
   *
   * @param    channelname    The name of the channel
   * @param    usermode       The usermode
   */
  public ChannelUsermode(String channelname, int usermode) {
	this.channelname = channelname;
	this.usermode    = usermode;
  }
	
  /**
   * Checks whether the given channelUsermode object is equal to this one.
   *
   * @param    channelUsermode    The data to check with
   * @return   TRUE:  if both objects are equal
   *           FALSE: if not
   */
  public boolean equals(ChannelUsermode channelUsermode) {
	if (channelname.equals(channelUsermode.channelname))
	  return true;
	return false;
  }
}
